gnutls_certificate_set_openpgp_keyring_file(3)

NAME
gnutls_certificate_set_openpgp_keyring_file - Sets a keyring file for OpenPGP

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_certificate_set_openpgp_keyring_file(gnutls_certificate_credentials_t c, const char * file, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_certificate_credentials_t           c
    A certificate credentials structure

const char * file
    filename of the keyring.

gnutls_openpgp_crt_fmt_t format

DESCRIPTION
The function is used to set keyrings that will be used internally by various OpenPGP functions. For example to find a key when it is needed for an operations. The keyring will also be used at the verification functions.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.